Package org.apache.sis.io.wkt

# Enum KeywordStyle

Object
Enum<KeywordStyle>
KeywordStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<KeywordStyle>`, `Constable`

public enum KeywordStyle extends Enum<KeywordStyle>
Whether to use short or long WKT keywords.
Note: ISO 19162 recommends upper case short keywords, but camel case long keywords match more closely the programmatic interface names (e.g. `GeodeticCRS`, etc).

Since:
  0.6

Defined in the `sis-referencing` module

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum​.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  Keywords style is determined by the WKT convention.
  `LONG`
  Long keywords.
  `SHORT`
  Short keywords.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static KeywordStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static KeywordStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SHORT

    public static final KeywordStyle SHORT
    Short keywords.
    Examples: `"GeodCRS"`, `"VertCRS"`, `"Unit"`.

  - ### LONG

    public static final KeywordStyle LONG
    Long keywords.
    Examples: `"GeodeticCRS"`, `"VerticalCRS"`, `"AngleUnit"`.

  - ### DEFAULT

    public static final KeywordStyle DEFAULT
    Keywords style is determined by the WKT convention.
    Examples:
    - For `Convention​.WKT2`: `"GeodCRS"`, `"VertCRS"`, `"AngleUnit"` (keywords matching the ISO 19162 recommendations).
    - For `Convention​.WKT2_SIMPLIFIED`: `"GeodeticCRS"`, `"VerticalCRS"`, `"Unit"` (keywords matching the class or interface names).

- ## Method Details

  - ### values

    public static KeywordStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static KeywordStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null